From 065306a9a8ac22f4bed6f84ab4a355628e52d7c6 Mon Sep 17 00:00:00 2001
From: Felix Fietkau <nbd@openwrt.org>
Date: Tue, 23 Sep 2008 17:46:23 +0000
Subject: [PATCH] fix small logic error in x86 sysupgrade script, which
 prevented upgrades from jffs2 to squashfs (#3321)

SVN-Revision: 12672
---
 target/linux/x86/base-files/lib/upgrade/platform.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/target/linux/x86/base-files/lib/upgrade/platform.sh b/target/linux/x86/base-files/lib/upgrade/platform.sh
index 6bae07b013..3d15914617 100644
--- a/target/linux/x86/base-files/lib/upgrade/platform.sh
+++ b/target/linux/x86/base-files/lib/upgrade/platform.sh
@@ -21,7 +21,7 @@ x86_prepare_ext2() {
 	# if we're running from ext2, we need to make sure that we have a mtd 
 	# partition that points to the active rootfs partition.
 	# however this only matters if we actually need to preserve the config files
-	[ "$SAVE_CONFIG" -eq 1 ] && return 0
+	[ "$SAVE_CONFIG" -eq 1 ] || return 0
 	grep rootfs /proc/mtd >/dev/null || {
 		echo /dev/hda2,65536,rootfs > /sys/module/block2mtd/parameters/block2mtd
 	}
-- 
GitLab